## fvwm-crystal 3.0.3.dfsg1

=== Makefile ===
#!/usr/bin/make -f
.PHONY: all install uninstall dist correctpermissions install-doc uninstall-doc

prefix?=/usr/local
docdir?=$(prefix)/share/doc/fvwm-crystal/
addondir?=$(prefix)/share/fvwm-crystal/addons

RELEASE=`grep Version fvwm/components/functions/About | sed -e 's/\*About: Text "\$$\[gt\.Version\]: \([0-9.]\+\)"/\1/'`

all:
	@echo "There is nothing to compile."

install: uninstall correctpermissions
	@echo Installing fvwm-crystal $(RELEASE) to $(prefix)
	mkdir -p $(prefix)/bin $(prefix)/share/fvwm-crystal/fvwm 

	install -m 755 bin/fvwm-crystal.apps bin/fvwm-crystal.wallpaper bin/fvwm-crystal $(prefix)/bin
	cp -d -r fvwm/* $(prefix)/share/fvwm-crystal/fvwm/

uninstall:
	@echo "Uninstalling previously installed fvwm-crystal"
	rm -rf $(prefix)/share/fvwm-crystal
	rm -f $(prefix)/bin/fvwm-crystal.wallpaper $(prefix)/bin/fvwm-crystal.apps $(prefix)/bin/fvwm-crystal

# This is meant for creating a distribution tarball from the repository and
# not for the use by end users
dist: correctpermissions
	mkdir -p "fvwm-crystal-$(RELEASE)"
	find -maxdepth 1 ! -name "." ! -name ".*" ! -name "_darcs" ! -name "*.html" ! -name "fvwm-crystal-$(RELEASE)" \
		-exec cp -r -d {} "fvwm-crystal-$(RELEASE)/" \;
	darcs changes > "fvwm-crystal-$(RELEASE)/ChangeLog"
	tar czf "../fvwm-crystal-$(RELEASE).tar.gz" "fvwm-crystal-$(RELEASE)"
	rm -rf "fvwm-crystal-$(RELEASE)"

# correct permissions, since darcs does not remember them
correctpermissions:
	chmod -R a+rX fvwm/*
	chmod -R a+rx bin/* fvwm/scripts/FvwmMPD/*.sh fvwm/scripts/FvwmMPD/*.py fvwm/Applications

uninstall-doc:
	-rm -rf $(docdir)
	-rm -rf $(addondir)

install-doc:
	mkdir -p $(addondir) $(docdir)
	install -m 644 addons/* $(addondir)
	install -m 644 AUTHORS COPYING NEWS ChangeLog README INSTALL $(docdir)
	install -m 644 doc/* $(docdir)

## fvwm-crystal 3.0.5.dfsg

=== Makefile ===
#!/usr/bin/make -f
.PHONY: all install uninstall dist correctpermissions install-doc uninstall-doc

prefix?=/usr/local
docdir?=$(prefix)/share/doc/fvwm-crystal/
addondir?=$(prefix)/share/fvwm-crystal/addons

RELEASE=`grep Version fvwm/components/functions/About | sed -e 's/\*About: Text "\$$\[gt\.Version\]: \([0-9.]\+\)"/\1/'`

all:
	@echo "There is nothing to compile."

install: uninstall correctpermissions correctpath
	@echo Installing fvwm-crystal $(RELEASE) to $(prefix)
	mkdir -p $(prefix)/bin $(prefix)/share/fvwm-crystal/fvwm 

	install -m 755 bin/fvwm-crystal.apps bin/fvwm-crystal.wallpaper bin/fvwm-crystal bin/fvwm-crystal.generate-menu bin/fvwm-crystal.infoline bin/fvwm-crystal.mplayer-wrapper $(prefix)/bin
	cp -d -r fvwm/* $(prefix)/share/fvwm-crystal/fvwm/

	mkdir -p $(prefix)/share/man/man1
	cp -d -r man/* $(prefix)/share/man/man1

uninstall:
	@echo "Uninstalling previously installed fvwm-crystal"
	rm -rf $(prefix)/share/fvwm-crystal
	rm -f $(prefix)/bin/fvwm-crystal.wallpaper $(prefix)/bin/fvwm-crystal.apps $(prefix)/bin/fvwm-crystal $(prefix)/bin/fvwm-crystal.generate-menu $(prefix)/bin/fvwm-crystal.infoline $(prefix)/bin/fvwm-crystal.mplayer-wrapper
	rm -f $(prefix)/share/man/man1/ApplicationDatabase.1 $(prefix)/share/man/man1/CrystalRoxHOWTO.1 $(prefix)/share/man/man1/FVWMCrystalFAQ.1 $(prefix)/share/man/man1/KeyboardBindings.1 $(prefix)/share/man/man1/MouseBindings.1 $(prefix)/share/man/man1/Tips.1

# This is meant for creating a distribution tarball from the repository and
# not for the use by end users
dist: correctpermissions
	mkdir -p "fvwm-crystal-$(RELEASE)"
	find -maxdepth 1 ! -name "." ! -name ".*" ! -name "_darcs" ! -name "*.html" ! -name "fvwm-crystal-$(RELEASE)" \
		-exec cp -R -P {} "fvwm-crystal-$(RELEASE)/" \;
	darcs changes > "fvwm-crystal-$(RELEASE)/ChangeLog"
	tar czf "../fvwm-crystal-$(RELEASE).tar.gz" "fvwm-crystal-$(RELEASE)"
	rm -rf "fvwm-crystal-$(RELEASE)"

dist-minimal: correctpermissions
	# Create all important directories
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm"
	# Copy basic files
	cp -r AUTHORS COPYING INSTALL Makefile NEWS README fvwm-crystal-minimal-$(RELEASE)/
	cp -r fvwm/config fvwm-crystal-minimal-$(RELEASE)/fvwm/
	# Copy addons/
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/addons"
	cp -r addons/* fvwm-crystal-minimal-$(RELEASE)/addons/
	# Copy bin/
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/bin"
	cp -r bin/* fvwm-crystal-minimal-$(RELEASE)/bin/
	# Copy doc/
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/doc"
	cp -r doc/* fvwm-crystal-minimal-$(RELEASE)/doc/
	# Copy fvwm/Applications/
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/Applications"
	find fvwm/Applications -maxdepth 1 ! -name "." ! -name ".*" ! -name "Applications" \
		-exec cp -R -P {} "fvwm-crystal-minimal-$(RELEASE)/fvwm/Applications/" \;
	# Copy fvwm/colorsets/
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/colorsets"
	find fvwm/colorsets -maxdepth 1 ! -name "." ! -name ".*" ! -name "colorsets" \
		-exec cp -R -P {} "fvwm-crystal-minimal-$(RELEASE)/fvwm/colorsets/" \;
	# Copy fvwm/components/
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/components"
	find fvwm/components -maxdepth 1 ! -name "." ! -name ".*" ! -name "components" \
		-exec cp -R -P {} "fvwm-crystal-minimal-$(RELEASE)/fvwm/components/" \;
	# Copy fvwm/decorations/
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/decorations"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/decorations/Crystal"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/decorations/DarkSky"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/decorations/MicroClear"
	find fvwm/decorations/Crystal -maxdepth 1 ! -name "." ! -name ".*" ! -name "Crystal" \
		-exec cp -R -P {} "fvwm-crystal-minimal-$(RELEASE)/fvwm/decorations/Crystal/" \;
	find fvwm/decorations/DarkSky -maxdepth 1 ! -name "." ! -name ".*" ! -name "DarkSky" \
		-exec cp -R -P {} "fvwm-crystal-minimal-$(RELEASE)/fvwm/decorations/DarkSky/" \;
	find fvwm/decorations/MicroClear -maxdepth 1 ! -name "." ! -name ".*" ! -name "MicroClear" \
		-exec cp -R -P {} "fvwm-crystal-minimal-$(RELEASE)/fvwm/decorations/MicroClear/" \;
	# Copy fvwm/icons/
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/categories"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/fvwm-crystal"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/categories"
	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/fvwm-crystal"
	# Copy 22x22 application icons
	cp fvwm/icons/Default/22x22/apps/default.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/xterm.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/aterm.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/Eterm.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/urxvt.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/mrxvt.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/konsole.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/gnome-terminal.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/multi-gnome-terminal.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/xfce4-terminal.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/elinks.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/aptsh.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/aptitude.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/lynx.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/links2.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/irssi.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/aumix.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/fetchmail.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/snownews.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/mutt.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/mc.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/gimp.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/mplayer.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/gajim.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/psi.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/konqueror.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/openoffice.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/fvwm-crystal.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/debian.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/ubuntu.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	cp fvwm/icons/Default/22x22/apps/grml.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
	# Copy 32x32 application icons
	cp fvwm/icons/Default/32x32/apps/default.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/xterm.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/aterm.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/Eterm.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/urxvt.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/mrxvt.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/konsole.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/gnome-terminal.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/multi-gnome-terminal.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/xfce4-terminal.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/elinks.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/aptsh.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/aptitude.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/lynx.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/links2.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/irssi.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/aumix.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/fetchmail.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/snownews.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/mutt.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/mc.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/gimp.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/mplayer.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/gajim.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/psi.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/konqueror.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/openoffice.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/fvwm-crystal.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/debian.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/ubuntu.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	cp fvwm/icons/Default/32x32/apps/grml.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
	# Copy other icons
	find fvwm/icons/Default/22x22/categories -maxdepth 1 ! -name "." ! -name ".*" ! -name "categories" \
		-exec cp -R -P {} "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/categories/" \;

=== debian/changelog ===
fvwm-crystal (3.0.5.dfsg-5) unstable; urgency=low

  * Update Fvwm-AcpiBatt to work with kernels without /proc/acpi. Thanks
    to Achim Gaedke. Closes: #494907.
  * Bump to Standards-Version 3.9.0.
  * Switch to 3.0 (quilt) format.
  * No need to Build-Depends on python-dev since Arch: all.

 -- Vincent Bernat <bernat@debian.org>  Sat, 17 Jul 2010 11:41:53 +0200

fvwm-crystal (3.0.5.dfsg-4) unstable; urgency=low

  * Don't use reserved keyword "with" in python scripts. Thanks to Andreas
    Moog for the patch. Closes: #526232.
  * Bump Standards-Version to 3.8.2. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Sun, 05 Jul 2009 09:40:47 +0200

fvwm-crystal (3.0.5.dfsg-3) unstable; urgency=low

  * Fix Russian translation, thanks to Alexander Galanin. Closes: #506611.
  * Fix a speed issue in createmenu.py when there are too many icons in
    the system. Thanks to Petr Gajdůšek for his help! Closes: #520782.
  * Bump Standards-Version to 3.8.1.

 -- Vincent Bernat <bernat@debian.org>  Mon, 20 Apr 2009 21:20:07 +0200

fvwm-crystal (3.0.5.dfsg-2) unstable; urgency=low

  * Fix a bashism in mplayer wrapper, thanks to Raphaël Geissert
    (Closes: #489598)

 -- Vincent Bernat <bernat@debian.org>  Mon, 07 Jul 2008 08:14:39 +0200

fvwm-crystal (3.0.5.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #431368)
     + drop 02debianmenu.dpatch which has been applied upstream
     + add 02userdirectory.dpatch to keep ~/.fvwm as user directory
       instead of ~/.fvwm-crystal which is the new upstream default; add a
       note about this in README.Debian
     + add manual pages for fvwm-crystal.mplayer-wrapper and
       fvwm-crystal.infoline, two new helpers
  * Adopt/hijack fvwm-crystal (Closes: #468644). Thanks to Michael for his
    previous work
  * Acknowledge previous NMUs (Closes: #383413, #375205, #399836)
  * debian/control:
     + update Standards-Version to 3.8.0
     + do not recommend xmms and xmms related utilities any more, add
       audacious instead (Closes: #474448, #468394)
     + depends on rxvt-unicode | x-terminal-emulator instead of a lot of
       terminals (Closes: #401822)
     + add Vcs-* and Homepage fields
  * debian/rules:
     + factor manual pages creation
     + move fvwm-crystal.generate-menu to examples
     + include /usr/share/dpatch/dpatch.make
     + remove bogus manual pages whose content is already present in
       /usr/share/doc
  * Remove empty /usr/sbin directory
  * Adjust section of doc-base files
  * Rewrite fvwm-crystal.menu-methods using a Python script to speed
    things up. We avoid a lot of shell invocations and we fix most bugs
    (Closes: #374311, #429855). Some menu entries may still fail because
    we don't invoke a shell while this is most of the time useless but
    this does not report an error. Moreover, we allow creation of icons as
    non root user (Closes: #386462)
  * Add debian/watch file

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Jun 2008 21:49:06 +0200

fvwm-crystal (3.0.3.dfsg1-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Use bash instead of sh in fvwm-crystal.menu-method because of the use
    of "-r" argument not supported by dash (Closes: #375205, #399836). Of
    course, this is a quick fix.

 -- Vincent Bernat <bernat@debian.org>  Wed, 28 May 2008 09:35:04 +0200

fvwm-crystal (3.0.3.dfsg1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove mozilla, opera and acroread icons and remplace them with icons from
    kde-icons-crystalclear (Closes: 389127).
    - update debian/copyright to precis these icons origin
    - rename mozilla menu entrys
  * Remove these non-free icons set: doom doom3 firefox lxdoom mozilla-firefox
    mozilla-thunderbird quake4 realplayer thunderbird ubuntu ut2004 vmware
    skype
  * Use local charset instead of ISO-8859-1 in menus (Closes: #392824)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 24 Jan 2007 22:16:48 +0100

fvwm-crystal (3.0.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package for the last python policy (Closes: 380801, 383413).

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  3 Sep 2006 19:06:02 +0200

fvwm-crystal (3.0.3-3) unstable; urgency=low

  * Fix handling of special shell characters in commands of menu files Closes: #365414
    (Thanks to Michael Prokop for reporting and assistance in solving the issue)
  * Bump Standards-Version to 3.7.2

 -- Michael Stilkerich <ms@mike2k.de>  Thu,  4 May 2006 13:21:04 +0100

fvwm-crystal (3.0.3-2) unstable; urgency=low

  * Move debian menu out of /usr/share to /var/lib Closes: #358060
  * Replace / in menu titles with a single space. This is neceassary
    as fvwm-crystal codes the menu title in the entry's filename and
    / can therefore not be part of a crystal menu title.
  * add OutputEncoding directive to the menu-method
  * Thanks to Bill Allombert for reviewing the menu-method and pointing
    out the above issues.

 -- Michael Stilkerich <ms@mike2k.de>  Mon, 20 Mar 2006 19:27:04 -0800

fvwm-crystal (3.0.3-1) unstable; urgency=low

  * New upstream release Closes: #356483
  * Upstream installation system now useable
  * Menu method runnable as user
  * Update author's E-Mail address in docbase descriptions

 -- Michael Stilkerich <ms@mike2k.de>  Tue, 14 Feb 2006 23:15:01 -0800

fvwm-crystal (3.0-1) unstable; urgency=low

  * Initial release Closes: #351614

 -- Michael Stilkerich <ms@mike2k.de>  Sun,  5 Feb 2006 18:38:55 -0800

=== debian/control ===
Source: fvwm-crystal
Section: x11
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: xsltproc, docbook-xsl, python-support (>= 0.4)
Standards-Version: 3.9.0
Vcs-Browser: http://git.debian.org/?p=collab-maint/fvwm-crystal.git
Vcs-Git: git://git.debian.org/git/collab-maint/fvwm-crystal.git
Homepage: http://fvwm-crystal.org/

Package: fvwm-crystal
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 fvwm (>= 1:2.5.13) | fvwm-gnome (>= 1:2.5.13),
 rxvt-unicode | x-terminal-emulator,
 imagemagick, trayer | stalonetray, habak | hsetroot
Recommends: rox-filer, xscreensaver,
 audacious | mpd | cdcd | quodlibet, mpc
Suggests: sudo, menu, nautilus
Provides: x-window-manager
Description: Pretty Desktop Environment based on fvwm
 FVWM-crystal creates an easy to use desktop environment
 using fvwm2 as its window manager and main core. From
 another point of view its just a very powerful fvwm
 configuration.
 .
 A file manager may be optionally used to display desktop icons,
 ROX-filer and nautilus are supported for this task. FVWM-crystal
 furthermore has UI integration for various music players, among
 them audacious and mpd.
 .
 There is also a very powerful menu system that has an extensive
 default configuration but may be customized and extended by each
 user to fit personal requirements.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# macros for manpage creation from xml via xsltproc
DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet
MANPAGES=fvwm-crystal.1 fvwm-crystal.apps.1 fvwm-crystal.wallpaper.1 fvwm-crystal.infoline.1 fvwm-crystal.mplayer-wrapper.1

%.1: debian/%.dbk
	$(XP) $(DB2MAN) $<

build: build-stamp
build-stamp: $(MANPAGES)
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp $(MANPAGES)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	make prefix=$(CURDIR)/debian/fvwm-crystal/usr \
		addondir=$(CURDIR)/debian/fvwm-crystal/usr/share/doc/fvwm-crystal/examples \
		install install-doc
	# menu-method is installed via dh_installmenu
	install -D -m 755 debian/createmenu.py $(CURDIR)/debian/fvwm-crystal/usr/share/fvwm-crystal/debian/createmenu.py
	# adjust standard installation
	cd $(CURDIR)/debian/fvwm-crystal/usr/share/doc/fvwm-crystal && rm ChangeLog COPYING LICENSE INSTALL
	cd $(CURDIR)/debian/fvwm-crystal/usr/share/man/man1 && rm ApplicationDatabase.1 CrystalRoxHOWTO.1 FVWMCrystalFAQ.1 KeyboardBindings.1 MouseBindings.1 Tips.1
	mv $(CURDIR)/debian/fvwm-crystal/usr/share/doc/fvwm-crystal/examples/fvwm-crystal.desktop \
		$(CURDIR)/debian/fvwm-crystal/usr/share/xsessions/
	mv $(CURDIR)/debian/fvwm-crystal/usr/bin/fvwm-crystal.generate-menu \
		$(CURDIR)/debian/fvwm-crystal/usr/share/doc/fvwm-crystal/examples/.
	# UTF-8 encoded file name, dunno if it will work everywhere
	rm $(CURDIR)/debian/fvwm-crystal/usr/share/fvwm-crystal/fvwm/Applications/Multimedia/Audio/Vu-Meters/~meterbridge~Meterbridge_st*

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman $(MANPAGES)
	dh_installmenu
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary-arch:
binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg$// http://download.gna.org/fvwm-crystal/(3\.[\d\.]+)/fvwm-crystal-([\d\.]+).tar.gz

## fvwm-crystal 3.2.7%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg$// http://sf.net/fvwm-crystal/fvwm-crystal-([\d\.]+).tar.gz

## fvwm-crystal 3.2.7+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,50 +2,62 @@
 .PHONY: all install uninstall dist correctpermissions install-doc uninstall-doc
 
 prefix?=/usr/local
-docdir?=$(prefix)/share/doc/fvwm-crystal/
 addondir?=$(prefix)/share/fvwm-crystal/addons
 
-RELEASE=`grep Version fvwm/components/functions/About | sed -e 's/\*About: Text "\$$\[gt\.Version\]: \([0-9.]\+\)"/\1/'`
+RELEASE=`grep Version fvwm/components/functions/About | cut -d" " -f 4 | sed -e 's:"::'`
+docdir?=$(prefix)/share/doc/fvwm-crystal-$(RELEASE)
 
 all:
 	@echo "There is nothing to compile."
 
-install: uninstall correctpermissions correctpath
+install: correctpath install-doc
 	@echo Installing fvwm-crystal $(RELEASE) to $(prefix)
-	mkdir -p $(prefix)/bin $(prefix)/share/fvwm-crystal/fvwm 
+	mkdir -p $(DESTDIR)$(prefix)/bin $(DESTDIR)$(prefix)/share/fvwm-crystal/fvwm $(DESTDIR)$(prefix)/share/xsessions $(DESTDIR)/etc/X11/Sessions
 
-	install -m 755 bin/fvwm-crystal.apps bin/fvwm-crystal.wallpaper bin/fvwm-crystal bin/fvwm-crystal.generate-menu bin/fvwm-crystal.infoline bin/fvwm-crystal.mplayer-wrapper $(prefix)/bin
-	cp -d -r fvwm/* $(prefix)/share/fvwm-crystal/fvwm/
+	install -m 755 bin/fvwm-crystal.apps bin/fvwm-crystal.wallpaper bin/fvwm-crystal bin/fvwm-crystal.infoline bin/fvwm-crystal.mplayer-wrapper bin/fvwm-crystal.play-movies bin/fvwm-crystal.videomodeswitch- bin/fvwm-crystal.videomodeswitch+ $(DESTDIR)$(prefix)/bin
+	install -m 755 tmp/fvwm-crystal.generate-menu $(DESTDIR)$(prefix)/bin
+	cp -d -r fvwm/* $(DESTDIR)$(prefix)/share/fvwm-crystal/fvwm/
+	cp tmp/fvwm-crystal $(DESTDIR)/etc/X11/Sessions
+	cp shared/fvwm-crystal.desktop $(DESTDIR)$(prefix)/share/xsessions
 
-	mkdir -p $(prefix)/share/man/man1
-	cp -d -r man/* $(prefix)/share/man/man1
+	mkdir -p $(DESTDIR)$(prefix)/share/man/man1
+	cp -d -r man/* $(DESTDIR)$(prefix)/share/man/man1
+# restore the original file; needed for successive run
+	cp -f tmp/LastChoosenRecipe fvwm/preferences/LastChoosenRecipe
 
-uninstall:
+uninstall: uninstall-doc
 	@echo "Uninstalling previously installed fvwm-crystal"
-	rm -rf $(prefix)/share/fvwm-crystal
-	rm -f $(prefix)/bin/fvwm-crystal.wallpaper $(prefix)/bin/fvwm-crystal.apps $(prefix)/bin/fvwm-crystal $(prefix)/bin/fvwm-crystal.generate-menu $(prefix)/bin/fvwm-crystal.infoline $(prefix)/bin/fvwm-crystal.mplayer-wrapper
-	rm -f $(prefix)/share/man/man1/ApplicationDatabase.1 $(prefix)/share/man/man1/CrystalRoxHOWTO.1 $(prefix)/share/man/man1/FVWMCrystalFAQ.1 $(prefix)/share/man/man1/KeyboardBindings.1 $(prefix)/share/man/man1/MouseBindings.1 $(prefix)/share/man/man1/Tips.1
-
+	rm -rf $(DESTDIR)$(prefix)/share/fvwm-crystal
+	rm -f $(DESTDIR)$(prefix)/bin/fvwm-crystal.wallpaper $(DESTDIR)$(prefix)/bin/fvwm-crystal.apps $(DESTDIR)$(prefix)/bin/fvwm-crystal $(DESTDIR)$(prefix)/bin/fvwm-crystal.generate-menu $(DESTDIR)$(prefix)/bin/fvwm-crystal.infoline $(DESTDIR)$(prefix)/bin/fvwm-crystal.mplayer-wrapper $(DESTDIR)$(prefix)/bin/fvwm-crystal.play-movies $(DESTDIR)$(prefix)/bin/fvwm-crystal.videomodeswitch+ $(DESTDIR)$(prefix)/bin/fvwm-crystal.videomodeswitch-
+	rm -f $(DESTDIR)$(prefix)/share/man/man1/fvwm-crystal.1 $(DESTDIR)$(prefix)/share/man/man1/ApplicationDatabase.1 $(DESTDIR)$(prefix)/share/man/man1/CrystalRoxHOWTO.1 $(DESTDIR)$(prefix)/share/man/man1/FVWMCrystalFAQ.1 $(DESTDIR)$(prefix)/share/man/man1/KeyboardBindings.1 $(DESTDIR)$(prefix)/share/man/man1/MouseBindings.1 $(DESTDIR)$(prefix)/share/man/man1/Tips.1
+	rm -f $(DESTDIR)$(prefix)/share/xsessions/fvwm-crystal.desktop $(DESTDIR)/etc/X11/Sessions/fvwm-crystal
+	
 # This is meant for creating a distribution tarball from the repository and
 # not for the use by end users
-dist: correctpermissions
-	mkdir -p "fvwm-crystal-$(RELEASE)"
-	find -maxdepth 1 ! -name "." ! -name ".*" ! -name "_darcs" ! -name "*.html" ! -name "fvwm-crystal-$(RELEASE)" \
-		-exec cp -R -P {} "fvwm-crystal-$(RELEASE)/" \;
-	darcs changes > "fvwm-crystal-$(RELEASE)/ChangeLog"
-	tar czf "../fvwm-crystal-$(RELEASE).tar.gz" "fvwm-crystal-$(RELEASE)"
-	rm -rf "fvwm-crystal-$(RELEASE)"
+dist:
+	mkdir -p "../fvwm-crystal-$(RELEASE)"
+#	find -maxdepth 1 ! -name "." ! -name ".*" ! -name "*.html" ! -name "fvwm-crystal-$(RELEASE)" \
+#		-exec cp -R -P {} "fvwm-crystal-$(RELEASE)/" \;
+	rsync -a . "../fvwm-crystal-$(RELEASE)" --exclude '.*'
+	tar czf "../fvwm-crystal-$(RELEASE).tar.gz" "../fvwm-crystal-$(RELEASE)"
+	rm -rf "../fvwm-crystal-$(RELEASE)"
 
-dist-minimal: correctpermissions
+dist-minimal:
 	# Create all important directories
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)"
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm"
 	# Copy basic files
-	cp -r AUTHORS COPYING INSTALL Makefile NEWS README fvwm-crystal-minimal-$(RELEASE)/
+	cp -r AUTHORS ChangeLog Contribute COPYING Export.README INSTALL Makefile NEWS README fvwm-crystal-minimal-$(RELEASE)/
 	cp -r fvwm/config fvwm-crystal-minimal-$(RELEASE)/fvwm/
 	# Copy addons/
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/addons"
 	cp -r addons/* fvwm-crystal-minimal-$(RELEASE)/addons/
+	# Copy shared/
+	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/shared"
+	cp -r shared/* fvwm-crystal-minimal-$(RELEASE)/shared/
+	# Copy man/
+	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/man"
+	cp -r man/* fvwm-crystal-minimal-$(RELEASE)/man/
 	# Copy bin/
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/bin"
 	cp -r bin/* fvwm-crystal-minimal-$(RELEASE)/bin/
@@ -86,6 +98,9 @@
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps"
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/categories"
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/fvwm-crystal"
+	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/48x48"
+	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/48x48/categories"
+	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/48x48/fvwm-crystal"
 	# Copy 22x22 application icons
 	cp fvwm/icons/Default/22x22/apps/default.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
 	cp fvwm/icons/Default/22x22/apps/xterm.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
@@ -140,16 +155,3 @@
 	cp fvwm/icons/Default/32x32/apps/snownews.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
 	cp fvwm/icons/Default/32x32/apps/mutt.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
 	cp fvwm/icons/Default/32x32/apps/mc.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/gimp.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/mplayer.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/gajim.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/psi.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/konqueror.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/openoffice.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/fvwm-crystal.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/debian.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/ubuntu.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/grml.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	# Copy other icons
-	find fvwm/icons/Default/22x22/categories -maxdepth 1 ! -name "." ! -name ".*" ! -name "categories" \
-		-exec cp -R -P {} "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/categories/" \;

=== debian/changelog ===
fvwm-crystal (3.2.7+dfsg-1) unstable; urgency=low

  * New upstream release.
     + Drop patches applied upstream (x-terminal-emulator, bashisms,
       Russian translation)
  * Demote rox-filer to suggestions and recommend pmount.
  * Fix Russian translation file charset.
  * Add gawk and xdg-user-dirs as required dependencies.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Sep 2013 13:40:22 +0200

fvwm-crystal (3.2.5+dfsg-1) unstable; urgency=low

  * New upstream version. Closes: #501218.
  * Refresh patches.
  * Use dh for debian/rules.
  * Bump Standards-Version to 3.9.4.
  * debian/control: fix homepage.
  * debian/control: fix Vcs-* links.
  * debian/control: remove non-existant packages from dependencies.
  * debian/watch: use SourceForge.
  * Silent lintian warning about mismatching icon sizes.
  * Use bash on scripts using bashisms.
  * Simplify doc-base stuff.

 -- Vincent Bernat <bernat@debian.org>  Sun, 28 Jul 2013 21:24:48 +0200

=== debian/control ===
Source: fvwm-crystal
Section: x11
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: xsltproc, docbook-xsl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fvwm-crystal.git
Vcs-Git: git://anonscm.debian.org/collab-maint/fvwm-crystal.git
Homepage: http://fvwm-crystal.sourceforge.net/

Package: fvwm-crystal
Architecture: all
Depends: ${misc:Depends}, python,
 fvwm (>= 1:2.5.13),
 rxvt-unicode | x-terminal-emulator,
 imagemagick, trayer | stalonetray, hsetroot,
 gawk, xdg-user-dirs
Recommends: xscreensaver,
 audacious | mpd | cdcd | quodlibet, mpc, pmount
Suggests: sudo, menu, rox-filer, nautilus
Provides: x-window-manager
Description: Pretty Desktop Environment based on FVWM
 FVWM-crystal creates an easy to use desktop environment
 using fvwm2 as its window manager and main core. From
 another point of view its just a very powerful fvwm
 configuration.
 .
 A file manager may be optionally used to display desktop icons,
 ROX-filer and nautilus are supported for this task. FVWM-crystal
 furthermore has UI integration for various music players, among
 them audacious and mpd.
 .
 There is also a very powerful menu system that has an extensive
 default configuration but may be customized and extended by each
 user to fit personal requirements.

## fvwm-crystal 3.3.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: xsltproc, docbook-xsl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fvwm-crystal.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/fvwm-crystal.git
 Homepage: http://fvwm-crystal.sourceforge.net/

## fvwm-crystal 3.3.1+dfsg

=== debian/changelog ===
fvwm-crystal (3.3.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Drop the Debian-specific patch preventing a user to user
    ~/.fvwm-crystal to put their configuration files. Add an entry about
    this change in NEWS.Debian.
  * Bump Standards-Version to 3.9.5
  * More lintian override for icons not matching the exact dimension..

 -- Vincent Bernat <bernat@debian.org>  Fri, 14 Feb 2014 15:47:55 +0100

## fvwm-crystal 3.4.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,13 +12,15 @@
 
 install: correctpath install-doc
 	@echo Installing fvwm-crystal $(RELEASE) to $(prefix)
-	mkdir -p $(DESTDIR)$(prefix)/bin $(DESTDIR)$(prefix)/share/fvwm-crystal/fvwm $(DESTDIR)$(prefix)/share/xsessions $(DESTDIR)/etc/X11/Sessions
+	mkdir -p $(DESTDIR)$(prefix)/bin $(DESTDIR)$(prefix)/share/fvwm-crystal/fvwm $(DESTDIR)$(prefix)/share/xsessions $(DESTDIR)/etc/X11/Sessions $(DESTDIR)/etc/sudoers.d
 
 	install -m 755 bin/fvwm-crystal.apps bin/fvwm-crystal.wallpaper bin/fvwm-crystal bin/fvwm-crystal.infoline bin/fvwm-crystal.mplayer-wrapper bin/fvwm-crystal.play-movies bin/fvwm-crystal.videomodeswitch- bin/fvwm-crystal.videomodeswitch+ $(DESTDIR)$(prefix)/bin
 	install -m 755 tmp/fvwm-crystal.generate-menu $(DESTDIR)$(prefix)/bin
 	cp -d -r fvwm/* $(DESTDIR)$(prefix)/share/fvwm-crystal/fvwm/
 	cp tmp/fvwm-crystal $(DESTDIR)/etc/X11/Sessions
 	cp shared/fvwm-crystal.desktop $(DESTDIR)$(prefix)/share/xsessions
+	cp shared/fvwm-crystal.sudoers.d $(DESTDIR)/etc/sudoers.d/fvwm-crystal
+	chmod 440 $(DESTDIR)/etc/sudoers.d/fvwm-crystal
 
 	mkdir -p $(DESTDIR)$(prefix)/share/man/man1
 	cp -d -r man/* $(DESTDIR)$(prefix)/share/man/man1
@@ -153,5 +155,3 @@
 	cp fvwm/icons/Default/32x32/apps/aumix.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
 	cp fvwm/icons/Default/32x32/apps/fetchmail.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
 	cp fvwm/icons/Default/32x32/apps/snownews.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/mutt.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/mc.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/

=== debian/changelog ===
fvwm-crystal (3.4.1+dfsg-3) unstable; urgency=medium

  * d/menu: convert creatmenu.py script to Python 3 (Closes: #945673)

 -- Vincent Bernat <bernat@debian.org>  Sun, 23 Aug 2020 12:58:04 +0200

fvwm-crystal (3.4.1+dfsg-2) unstable; urgency=medium

  * d/control: B-D on python2 (Closes: #966735)
  * d/control: use debhelper-compat
  * d/NEWS: rename from d/NEWS.Debian to d/NEWS
  * d/control: update Vcs-* fields
  * d/lintian: remove unused overrides
  * d/NEWS: fix versions

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Aug 2020 08:19:33 +0200

fvwm-crystal (3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
     + Drop ACPI patch. Fixed upstream in another way.
  * d/control: update Vcs-* URL.
  * d/control: bump Standards-Version.
  * d/copyright: switch to machine-readable copyright.
  * d/watch: let uscan add dfsg suffix.

 -- Vincent Bernat <bernat@debian.org>  Sun, 20 Mar 2016 15:15:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: x11
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: xsltproc, docbook-xsl
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fvwm-crystal.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/fvwm-crystal.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://salsa.debian.org/debian/fvwm-crystal
+Vcs-Git: https://salsa.debian.org/debian/fvwm-crystal.git
 Homepage: http://fvwm-crystal.sourceforge.net/
 
 Package: fvwm-crystal
 Architecture: all
-Depends: ${misc:Depends}, python,
+Depends: ${misc:Depends}, python3,
  fvwm (>= 1:2.5.13),
  rxvt-unicode | x-terminal-emulator,
  imagemagick, trayer | stalonetray, hsetroot,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# macros for manpage creation from xml via xsltproc
DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet
MANPAGES=$(patsubst %.dbk,%.1,$(wildcard debian/dbk/*.dbk))

debian/dbk/%.1: debian/dbk/%.dbk
	$(XP) -o $@ $(DB2MAN) $<

override_dh_clean:
	dh_clean
	rm -f $(MANPAGES)
override_dh_installman: $(MANPAGES)
	dh_installman $(MANPAGES)

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/fvwm-crystal prefix=/usr \
		addondir=/usr/share/doc/fvwm-crystal/examples \
		docdir=/usr/share/doc/fvwm-crystal \
		install install-doc
	rm -f debian/fvwm-crystal/usr/share/doc/fvwm-crystal/ChangeLog
	rm -f debian/fvwm-crystal/usr/share/doc/fvwm-crystal/LICENSE
	rm -f debian/fvwm-crystal/usr/share/doc/fvwm-crystal/INSTALL
	rm -rf debian/fvwm-crystal/usr/share/man/man1
	rm -rf debian/fvwm-crystal/etc/X11
	# Some scripts have some bashisms
	for s in usr/share/fvwm-crystal/fvwm/scripts/ScreenResolution usr/bin/fvwm-crystal.videomodeswitch+ usr/bin/fvwm-crystal.videomodeswitch- usr/share/fvwm-crystal/fvwm/scripts/DesktopActions; do sed -i 's+#!/bin/sh+#!/bin/bash+' debian/fvwm-crystal/$$s; done
